Cannot initialize git submodules on VOXL Emulator Docker Image (1.0.0)



  • Import from GitLab Issues

    git submodule update --recursive Throws following error

    git: 'submodule' is not a git command. See 'git --help'.

    Missing git-perltools in the voxl-build?

    VOXL Emulator Docker Image (1.0.0)

    voxl-emulator latest 0e15518b8f95 12 months ago 1.26GB



  • We've posted a git-perltools package that should provide a workaround for this issue if you install on the either the emulator image or the target. Note at this time, when using on the emulator, you'll need to run it again after exiting...

    1. Download the git-pertools package from here: https://docs.modalai.com/docs/resources/downloads/#additional-packages

    2. Copy to the emulator (place in directory where you run the emulator from) or target (using adb push)

    3. Install using `opkg install lib32-git-perltools_2.5.0-r0_armv7a-vfp-neon.ipk' (note: some opkg warnings will display but can be ignored)

    You should be able to use the submodule command after this. Please let us know if you have any problems.